[D101]life cycle data

post
https://connect.patsnap.com/shhgy/reportdata/life-cycle
Try in Sandbox

This interface is a statistical analysis interface that provides the number of patent applications per year over the past 10 years, as well as the number of invention patent applications.

Request Parameters

List of parameters supported by this API endpoint

NameTypeExampleDescription
collapse_order
stringLATEST
Select the patent collapse ordering rule that is valid only if collapse_by is APD or PBD, setting OLDEST or LATEST to keep the earliest or latest one
query_text
Required
stringTACD_ALL:(patsnap)
Enter the Analytics Query, with a maximum length of 800 characters and cannot contain complex wildcards such as $W $PRE $WS $SEN $PARA $FREQ .etc
sort
array[ { "field": "score", "order": "desc" } ]
field order
field
stringscore
sort field
order
stringdesc
asc OR desc
collapse_type
stringALL
Select the collapse type, "ALL" or Null value means no collapse; "APNO" means collapse according to application number; "DOCDB" means collapse according to simple family; "INPADOC" means collapse according to inpadoc family; "EXTEND" means collapse according to patsnap family
collapse_by
stringPBD

Select the sort field for patent collapse,

"APD" means order according to application date;

"PBD" means order according to publication date;

"AUTHORITY" means order according to authority;

"SCORE" means order according to the relevance score

collapse_order_authority
array[ "CN", "US", "EP", "JP", "KR" ]
Sets the order of patent collapse according to the input authorities priority list, valid only if collapse_by is AUTHORITY

Response Schema

Structure of the API response data

Field NameTypeExampleDescription
data
object-
response data
values
array[]
values
year
string2015
year
total
integer<int32>12000
total num
inv_total
integer<int32>1000
invent total num
status
Required
booleanfalse
Status
error_msg
stringThe request parameter format is incorrect!
Error Message
error_code
Required
integer0
Error Code

Success Response Example

Example of a successful API response

JSON
{
  "data": {
    "values": [
      {
        "year": 2015,
        "total": 12000,
        "inv_total": 1000
      }
    ]
  },
  "status": true,
  "error_code": 0
}

Error Codes

List of possible error codes returned by this endpoint

Business Errors

Error CodeDescription
68300004Invalid parameter!
68300005Search api failure!
68300006Analytic basic access error!
68300007Bad request!
68300008Service error, please try again later!
68300010The file does not comply with upload specifications!

Platform Errors

Error CodeDescription
67200000API call exceeds the total limit set by the platform!
67200001API call exceeds the total limit set by the platform!
67200002The current call rate is too fast, exceeding the current configuration limit QPS!
67200003The key and secret parameters for applying for the token are incorrect or the client has been disabled!
67200004The requested api does not have permission. Please contact our support personnel!
67200005Insufficient account balance/number of calls!
67200006The client has exceeded the activation validity period!
67200007The current call exceeds the configured usage limit of the day!
67200008Please check if the required apikey in the query parameter has been transmitted!
67200009The apikey does not match the passed bearerToken. Please check if a valid token is being used!
67200012The request is illegal!
67200100The current server status is busy, request response timeout!
67200101The API requested currently does not exist. Please check the request path!

HTTP Status Codes

Status CodeDescription
0Success
201Created
401Unauthorized
403Forbidden
404Not Found

Performance Metrics

Expected performance characteristics for this endpoint

Normal Response Time

5000 ms

Max Response Time

10000 ms